ip.json: Get requesting IP address

API: geojs.io:geojs
Endpoint: /v1/ip.json
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 275ms

Description

Returns the IP address of the requesting client

Examples (1)

Get requesting IP address openapi-spec
curl 'https://get.geojs.io/v1/ip.json'
import requests

resp = requests.get("https://get.geojs.io/v1/ip.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("geojs")
result = api.fetch("v1/ip.json")

for item in result:
    print(item)
const resp = await fetch("https://get.geojs.io/v1/ip.json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:16:49.851109 200 275ms
2026-04-16 00:52:12.181095 200 241ms
2026-04-15 01:26:25.578641 200 238ms
2026-04-14 02:16:46.153779 200 236ms
2026-04-12 13:19:21.672719 200 216ms
2026-04-10 04:10:49.171224 200 1342ms
2026-04-09 03:50:55.304591 200 227ms
2026-04-08 07:34:31.683638 200 333ms
2026-04-07 00:41:56.901691 200 240ms
2026-04-05 16:56:43.643836 ERR